Subject: Re: [PATCH v3 02/10] hook: provide stdin via callback

From: Junio C Hamano <[email-masked]>
Date: Sat, 29 Nov 2025 14:21:38 -0800

Adrian Ratiu <[email-masked]> writes:

> On Mon, 24 Nov 2025, Adrian Ratiu <[email-masked]> 
> wrote:
>> From: Emily Shaffer <[email-masked]> 
>> 
>> This adds a callback mechanism for feeding stdin to hooks 
>> ...
>> this data.  +	 * Only useful when using 
>> `run_hooks_opt.feed_pipe`, otherwise ignore it.  +	 */ + 
>> void *feed_pipe_ctx; + +	/** +	 * Opaque data pointer 
>> used to keep internal state across callback calls.  +	 * +	 * 
>> It can be accessed via the second callback arg: +	 * 
>> ((struct hook_cb_data *) 
>> pp_cb)->hook_cb->options->feed_pipe_cb_data; 
>
> I just noticed the small inconsistency in this comment (second cb 
> arg vs the actual code example). Will fix in v4.
>
> I also have an idea how to further simplify this API based on the 
> parallel hook execution work I'm doing (that is a separate patch 
> series built upon this one), so I'll see if I can make this 
> simpler, to avoid going through hook_cb->options entirely, similar 
> to what Patrick suggested in v2.

Not about the contents of your message, but I often see in your
replies unintelligible randomly line-wrapped text, and this message
was an example of such.  You can see how it appears to others by
visiting

  https://lore.kernel.org/git/[email-masked]/

I _think_ it has to do with your e-mail client, and possibly use of
the flowed format in

    Content-Type: text/plain; charset=utf-8; format=flowed

Please make sure your e-mail client is set up correctly.

Thanks.